-- settings.lua
--


--[[
TODO:
 
 
]]


local ADDON_NAME = "TitanVPCap";

local L = LibStub("AceLocale-3.0"):GetLocale(ADDON_NAME, true);

-- Options for AceOptions

VPCap_Options = {
	name = L.core.options.name,
	desc = L.core.desc,
	type = "group",
	args = {
		general = {
			name = L.core.options.options,
			type = "group",
			inline = true,
			order = 1,
			args = {
				cinfoVP = { -- Paperdoll VP Information
					name = L.core.options.paperdollVP,
					desc = L.core.options.paperdollVPDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetVPPaperdoll(v); end,
					get = function(i) return VPCap:GetVPPaperdoll(); end,
					order = 1,
				},
				cinfoVPCap = { -- Paperdoll VP Cap Information
					name = L.core.options.paperdollVPCap,
					desc = L.core.options.paperdollVPCapDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetVPCapPaperdoll(v); end,
					get = function(i) return VPCap:GetVPCapPaperdoll(); end,
					order = 2,
				},
				cinfoJP = { -- Paperdoll JP Information
					name = L.core.options.paperdollJP,
					desc = L.core.options.paperdollJPDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetJPPaperdoll(v); end,
					get = function(i) return VPCap:GetJPPaperdoll(); end,
					order = 3,
				},
				minimap = { -- Minimap Button
					name = L.core.options.minimap,
					desc = L.core.options.minimapDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetMinimap(v); end,
					get = function(i) return VPCap:GetMinimap(); end,
					order = 4,
				},
				reset_hour = { -- Reset Hour of day
					name = L.core.options.resetHour,
					desc = L.core.options.resetHourDesc,
					type = "select",
					style = "dropdown",
					set = function(i,v) VPCap:SetResetHour(v); end,
					get = function(i) return VPCap:GetResetHour(); end,
					values = { 	[0] = "12am",
								[1] = "1am",
								[2] = "2am",
								[3] = "3am",
								[4] = "4am",
								[5] = "5am",
								[6] = "6am",
								[7] = "7am",
								[8] = "8am",
								[9] = "9am",
								[10] = "10am",
								[11] = "11am",
								[12] = "12pm",
								[13] = "1pm",
								[14] = "2pm",
								[15] = "3pm",
								[16] = "4pm",
								[17] = "5pm",
								[18] = "6pm",
								[19] = "7pm",
								[20] = "8pm",
								[21] = "9pm",
								[22] = "10pm",
								[23] = "11pm"},
					order = 5,
				},
				reset_dayofweek = { -- Reset Day of Week
					name = L.core.options.resetDayOfWeek,
					desc = L.core.options.resetDayOfWeekDesc,
					type = "select",
					style = "dropdown",
					set = function(i,v) VPCap:SetResetDayOfWeek(v); end,
					get = function(i) return VPCap:GetResetDayOfWeek(); end,
					values = { 	[1] = "Monday",
								[2] = "Tuesday", 
								[3] = "Wednesday",
								[4] = "Thursday", 
								[5] = "Friday",
								[6] = "Saturday",
								[0] = "Sunday" },
					order = 6,
				},
				charms = { -- Show Charms
					name = L.core.options.charm,
					desc = L.core.options.charmDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetCharms(v); end,
					get = function(i) return VPCap:GetCharms(); end,
					order = 7,
				},
				iLevel = { -- Show iLevel
					name = L.core.options.iLevel,
					desc = L.core.options.iLevelDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetiLevel(v); end,
					get = function(i) return VPCap:GetiLevel(); end,
					order = 8,
				},
				sortOrder = { -- Sort Order
					name = L.core.options.sortOrder,
					desc = L.core.options.sortOrderDesc,
					type = "select",
					style = "dropdown",
					set = function(i,v) VPCap:SetSortOrder(v); end,
					get = function(i) return VPCap:GetSortOrder(); end,
					values = { 	[1] = "Unsorted",
								[2] = "Alphabetical",
								[3] = "Class",
								[4] = "Points", 
								[5] = "iLevel"},
					order = 9,
				},
				worldBoss = { -- Show World Boss Status
					name = L.core.options.boss,
					desc = L.core.options.bossDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetWorldBoss(v); end,
					get = function(i) return VPCap:GetWorldBoss(); end,
					order = 10,
				},
			},
		},
		
		ldbOpt = {
			name = L.core.options.ldb,
			type = "group",
			inline = true,
			order = 2,
            cmdHidden = true,
			args = {
				ldbText = {
					name = L.core.options.ldbText,
					desc = L.core.options.ldbTextDesc,
					type = "toggle",
					get = function(i) return VPCap:GetLDB(); end,
					set = function(i,v) VPCap:SetLDB(v); end,
					order = 1,
				},
				ldbLabel = {
					name = L.core.options.ldbSource,
					desc = L.core.options.ldbSourceDesc,
					type = "toggle",
					get = function(i) return VPCap:GetLDBlabel(); end,
					set = function(i,v) VPCap:SetLDBlabel(v); end,
					order = 2,
				},
				ldbTextColor = { -- Colorize the label?
					name = L.core.options.ldbTextColor,
					desc = L.core.options.ldbTextColorDesc,
					type = "toggle",
					set = function(i,v) VPCap:SetLDBTextColor(v); end,
					get = function(i) return VPCap:GetLDBTextColor(); end,
					order = 3,
				},
			},
		},
        
		purge = {
			name = L.core.options.purge,
			desc = L.core.options.purgeDesc,
			type = "execute",
			func = function(i) VPCap:PurgeDB(false); end,
			confirm = true,
			order = 3,
		},
		-- Console Only
		options = {
			name = L.core.options.name,
			desc = L.core.options.optionDesc,
			type = "input",
			set = function(i) VPCap:ShowOptions(); end,
			hidden = true,
			order = 49,
			guiHidden = true,
			cmdHidden = false,
		},
		debug = { -- Debug mode
			name = 'Debug Mode',
			type = "toggle",
			set = function(i,v) VPCap:SetDebug(v); end,
			get = function() return VPCap:GetDebug(); end,
			order = 50,
			hidden = true,
			guiHidden = true,
			cmdHidden = false,
		},
	},
};

VPCap_Defaults = {
	global = {
		reset_hour = 3,			-- Hour the VP Cap is reset ie. 3AM
		reset_dayofweek = 2,	-- Day of week when VP Cap is reset ie. Tuesday
		cinfoVP = true,
		cinfoVPCap = true,
		cinfoJP = true,
		progress_orange = 100,
		progress_yellow = 200,
		JPStandardMax = 4000,
		VPStandardMax = 3000,
		VPStandardCapMax = 1000,
		minimap = {
			hide = false,		-- Minimap Icon
		},
		charms = true,			-- show Charms
		iLevel = true,			-- show iLevel
		sortOrder = 2,			-- sort order of Alphabetical
		version = 1,			-- Version for future referance
		ldbTextColor = true,	-- LDB Text Colorize?
		ldbText = true,			-- LDB Text
		ldbLabel = false,		-- LDB Label
		worldBoss = true,		-- Show World Boss status
	},
    char = {
        debug = false,          -- Debug mode
    }
};

